Subject: Feeding Deer

From: Rod & Linda Reid <[email-masked]>
Date: Tue, 11 May 1999 18:41:13 -0400

Hi\
Our friends have been feeding black tail deer on thier farm on Mudge Is.
for sometime now, they give them apples carrots and "goatex" a comercial
grain mix for goats. They seem
to enjoy what they get but they would like to give them something more
substantial, filling and affordable.  They do'nt seem to like  alfalfa
which they feed thier livestock and we were wondering if you had any
suggestions.
Thanks in advance for any help you can offer,
Rod Reid